Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceGeneration Class Reference

## Description

Represents a surface generation configuration.

Note
  Supported with G2, G3

Inheritance diagram for GoSurfaceGeneration:

## Public Member Functions
GoSurfaceGenerationType | GoSurfaceGeneration_GenerationType (GoSurfaceGeneration surface)
| Gets the current surface generation type. More...
kStatus | GoSurfaceGeneration_SetGenerationType (GoSurfaceGeneration surface, GoSurfaceGenerationType type)
| Sets the surface generation type. More...
k64f | GoSurfaceGenerationFixedLength_Length (GoSurfaceGeneration surface)
| Gets the fixed length surface generation surface length. More...
k64f | GoSurfaceGenerationFixedLength_LengthLimitMax (GoSurfaceGeneration surface)
| Gets the fixed length surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationFixedLength_LengthLimitMin (GoSurfaceGeneration surface)
| Gets the fixed length surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationFixedLength_SetLength (GoSurfaceGeneration surface, k64f length)
| Sets the fixed length surface generation surface length. More...
kStatus | GoSurfaceGenerationFixedLength_SetStartTrigger (GoSurfaceGeneration surface, GoSurfaceGenerationStartTrigger trigger)
| Sets the fixed length surface generation start trigger. More...
kStatus | GoSurfaceGenerationFixedLength_SetTriggerExternalInputIndex (GoSurfaceGeneration surface, k32s index)
| Sets the external input index to trigger surface capturing. More...
GoSurfaceGenerationStartTrigger | GoSurfaceGenerationFixedLength_StartTrigger (GoSurfaceGeneration surface)
| Gets the fixed length surface generation start trigger. More...
k32s | GoSurfaceGenerationFixedLength_TriggerExternalInputIndex (GoSurfaceGeneration surface)
| Gets the external input index to trigger surface capturing. More...
kSize | GoSurfaceGenerationFixedLength_TriggerExternalInputIndexOptionCount (GoSurfaceGeneration surface)
| Gets the count of available external input trigger index options. More...
kBool | GoSurfaceGenerationFixedLength_TriggerExternalInputIndexUsed (GoSurfaceGeneration surface)
| Gets the flag indicating whether the external input trigger is being used. More...
k64f | GoSurfaceGenerationRotational_Circumference (GoSurfaceGeneration surface)
k64f | GoSurfaceGenerationRotational_CircumferenceLimitMax (GoSurfaceGeneration surface)
k64f | GoSurfaceGenerationRotational_CircumferenceLimitMin (GoSurfaceGeneration surface)
k64f | GoSurfaceGenerationRotational_EncoderResolution (GoSurfaceGeneration surface)
| Gets the rotational surface generation encoder resolution in ticks/rev. More...
kStatus | GoSurfaceGenerationRotational_SetCircumference (GoSurfaceGeneration surface, k64f value)
kStatus | GoSurfaceGenerationRotational_SetEncoderResolution (GoSurfaceGeneration surface, k64f value)
| Sets the rotational surface generation surface encoder resolution. More...
k64f | GoSurfaceGenerationVariableLength_MaxLength (GoSurfaceGeneration surface)
| Gets the variable length surface generation maximum length. More...
k64f | GoSurfaceGenerationVariableLength_MaxLengthLimitMax (GoSurfaceGeneration surface)
| Gets the variable length surface generation circumference limit maximum value. More...
k64f | GoSurfaceGenerationVariableLength_MaxLengthLimitMin (GoSurfaceGeneration surface)
| Gets the variable length surface generation circumference limit minimum value. More...
kStatus | GoSurfaceGenerationVariableLength_SetMaxLength (GoSurfaceGeneration surface, k64f length)
| Sets the variable length surface generation maximum length. More...

The documentation for this class was generated from the following file:

- GoSurfaceGeneration.h